| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryCommunityGroupMemberRequest Struct Reference
Community Group

Query Community Group Members request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__ComSortType * | SortType
| Defines whether the returned members will be sorted by their COMNumber or their Destination Number. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting enumeration. More...
xsd__string | SubscriberDN
| The subscriber that the community group is assigned to. More...
xsd__string | DestinationNumber
| The destination number corresponding to the member of the community group. More...

## Detailed Description

Query Community Group Members request.

Used by unsp__QueryCommunityGroupMember()

## Member Data Documentation

## ◆ DestinationNumber

xsd__string unsp__QueryCommunityGroupMemberRequest::DestinationNumber

The destination number corresponding to the member of the community group.

Allows filtering for querying a specific member.
required: false
default value[range]: NA [1..30]

## ◆ OperatorId

xsd__string unsp__QueryCommunityGroupMemberRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryCommunityGroupMemberRequest::Paging

Standard paging structure.

required: false

## ◆ SortOrder

enum unsp__SortOrder* unsp__QueryCommunityGroupMemberRequest::SortOrder

Standard sorting enumeration.

required: false

## ◆ SortType

enum unsp__ComSortType* unsp__QueryCommunityGroupMemberRequest::SortType

Defines whether the returned members will be sorted by their COMNumber or their Destination Number.

required: false
default value[range]: COM_SortBy_ComNumber

## ◆ SubscriberDN

xsd__string unsp__QueryCommunityGroupMemberRequest::SubscriberDN

The subscriber that the community group is assigned to.

Used for filtering for a specific community group.
required: false

See also
  unsp__ServiceId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h